Bug 622356 - Live migration failed during reboot due to vhost
Live migration failed during reboot due to vhost
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Alex Williamson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 00:05 EDT by Golita Yue
Modified: 2013-01-09 17:59 EST (History)
12 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.110.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:27:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Golita Yue 2010-08-09 00:05:56 EDT
Description of problem:
Start a winXP-32 bit guest with -"spice",
Live migration failed when migration during reboot

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.108.el6.x86_64
2.6.32-59.el6.x86_64

How reproducible:
2/2

Steps to Reproduce:
1. Start a winXP-32 bit guest with "-spice
port=5930,disable-ticketing -vga qxl:"
/usr/libexec/qemu-kvm -usbdevice tablet -rtc base=localtime,clock=host,driftfix=slew -cpu qemu64,+x2apic -m 2G -smp 2 -drive file=/dev/vgtest/gyue_xp,if=virtio,boot=on,cache=none,format=qcow2,werror=stop,rerror=stop,id=drive-virtio0 -device virtio-blk-pci,drive=drive-virtio0,id=virtio-blk-pci0,addr=0x8 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=00:10:23:23:03:1c,bus=pci.0,addr=0x7,id=hostnet0 -uuid `uuidgen` -boot c -qmp tcp:0:4442,server,nowait -spice port=5930,disable-ticketing -vga qxl

2.after VM start ,then reboot it.
3.during reboot,do live migration.
  
Actual results:
Live migration failed .
in the qemu monitor displays
"qemu-kvm: /builddir/build/BUILD/qemu-kvm-0.12.1.2/hw/vhost.c:31: vhost_dev_sync_region: Assertion `end / (0x1000 * (8 * sizeof(vhost_log_chunk_t))) < dev->log_size' failed."

Expected results:
Live Migration can be finished successfuly.

Additional info:
gdb information:

qemu-kvm: /builddir/build/BUILD/qemu-kvm-0.12.1.2/hw/vhost.c:31: vhost_dev_sync_region: Assertion `end / (0x1000 * (8 * sizeof(vhost_log_chunk_t))) < dev->log_size' failed.

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7f768422e710 (LWP 24399)]
0x0000003eb26329b5 in raise () from /lib64/libc.so.6
(gdb) bt
#0  0x0000003eb26329b5 in raise () from /lib64/libc.so.6
#1  0x0000003eb2634195 in abort () from /lib64/libc.so.6
#2  0x0000003eb262b945 in __assert_fail () from /lib64/libc.so.6
#3  0x00000000004230eb in ?? ()
#4  0x0000000000423171 in ?? ()
#5  0x0000000000424265 in ?? ()
#6  0x00000000004df8fe in ?? ()
#7  0x0000000000473fe5 in ?? ()
#8  0x000000000041896b in ?? ()
#9  0x000000000047296a in ?? ()
#10 0x000000000042aa49 in ?? ()
#11 0x000000000042aae9 in ?? ()
#12 0x000000000042b70f in ?? ()
#13 0x0000003eb2e077e1 in start_thread () from /lib64/libpthread.so.0
#14 0x0000003eb26e151d in clone () from /lib64/libc.so.6
Comment 4 Golita Yue 2010-08-09 01:38:15 EDT
I tested again with nic=rtl8139, passed.
But bug happened when nic=virtio.
Comment 5 jason wang 2010-08-09 01:57:24 EDT
Hello Golita:
   It does not look like a problem of spice, can you please try to reproduce it without "-spice" option? Thanks
Comment 6 Golita Yue 2010-08-09 05:53:51 EDT
(In reply to comment #5)
> Hello Golita:
>    It does not look like a problem of spice, can you please try to reproduce it
> without "-spice" option? Thanks    

Tested again without '-spice', still failed.
Updated summary.
Comment 7 Alex Williamson 2010-08-10 16:38:56 EDT
Please try this brew build to see if it fixes the problem:

https://brewweb.devel.redhat.com/taskinfo?taskID=2672629
Comment 8 Golita Yue 2010-08-10 23:17:34 EDT
(In reply to comment #7)
> Please try this brew build to see if it fixes the problem:
> 
> https://brewweb.devel.redhat.com/taskinfo?taskID=2672629    

Tested 5 times with above build, PASSED.
Comment 10 Eduardo Habkost 2010-08-11 11:16:34 EDT
Fixing fixed-in-version field. It was not fixed on the official qemu-kvm-0.12.1.2-2.108.el6 build, the URL above was a scratch build.
Comment 12 Alex Williamson 2010-08-11 12:19:28 EDT
(In reply to comment #8)
> (In reply to comment #7)
> > Please try this brew build to see if it fixes the problem:
> > 
> > https://brewweb.devel.redhat.com/taskinfo?taskID=2672629    
> 
> Tested 5 times with above build, PASSED.    

Great, we have one more respin of the fix.  Please confirm that this scratch build also resolves the problem:

https://brewweb.devel.redhat.com/taskinfo?taskID=2676174

Thanks
Comment 24 releng-rhel@redhat.com 2010-11-10 16:27:05 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.